<!--
  Generated template for the CurrentBookedViewPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <ion-title>Ride View</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding class="grey-background">

	<div *ngIf="ride">
		<ion-grid>
			<ion-row class="text-center" ion-text-center>
				<ion-col col-5 >
					<ion-avatar item-start>
						<img  [src]="url+ride.driver_profile"/>
						<img [src]="url+ride.car"/>
					</ion-avatar>
				</ion-col>
				<ion-col col-7>
					<h3> {{ride.driver}}. </h3>
					<p> {{ride.make}} {{ride.model}} </p> 
					<p> {{ride.year}} {{ride.color}} </p>
					<p> {{ride.vehicle_tag}}</p>
				</ion-col>
			</ion-row>

			<ion-row >
				<ion-col col-4 class="text-center" ion-text-center>
					<ion-icon name="arrow-dropright" ion-right></ion-icon> <br>
					<ion-icon name="arrow-dropleft" ion-right></ion-icon>
				</ion-col>

				<ion-col col-8 class="text-left" ion-text-left>
					<small> PickUp Location </small>
					<p> {{ride.ride.location_from}} </p>

					<small> Drop Location</small>
					<p> {{ride.ride.location_to}} </p>
				</ion-col>
			</ion-row>

			<ion-row>
				<ion-col col-4  class="text-center" ion-text-center>
					  <ion-icon name="calendar" class="text-right" ion-text-right></ion-icon>
				</ion-col>

				<ion-col col-8 class="text-left" ion-text-left>
					<small> Date </small>
					<p> {{ride.date}} </p>
				</ion-col>
			</ion-row>

			<ion-row>
				<ion-col col-4 class="text-center" ion-text-center>
					  <ion-icon name="time" ion-right></ion-icon>
				</ion-col>

				<ion-col col-8 class="text-left" ion-text-left>
					<small> Estimated Start </small>
					<p> {{ride.start}} </p>
					<small> Estimated Arriving </small> 
					<p> {{ride.end}} </p>
				</ion-col>
			</ion-row>

			<ion-row>
				<ion-col col-4 class="text-center" ion-text-center>
					  <ion-icon name="contact" ion-right></ion-icon>
				</ion-col>

				<ion-col col-8 class="text-left" ion-text-left> 
					<small> Seats </small>
					<p> {{ride.seats}} </p>
				</ion-col>
			</ion-row>
		</ion-grid>


	</div>

</ion-content>
